<?php

namespace wp_opt;

class Tools
{
    static function delDir($dir)
    {
        $files = array_diff(scandir($dir), array('.', '..'));
        foreach ($files as $file) {
            if (is_dir("$dir/$file")) {
                $del_re = self::delDir("$dir/$file");
            } else {
                $del_re = unlink("$dir/$file");
            }
        }

        return rmdir($dir);
    }

    static function canConvertWebP()
    {
        if (extension_loaded('imagick') || function_exists('imagewebp')) {
            return true;
        }
        return false;
    }

    static function writeLog($content)
    {
        if (Config::$is_development) {
            $file = Config::$plugin_dir . "/log/log.txt";
            $content = file_get_contents($file) . "\n" . $content;
            file_put_contents($file, $content);
        }
    }

    static function isInDefaultTable($name)
    {
        // 获取WordPress数据表前缀
        global $wpdb;
        $prefix = $wpdb->prefix;
        // 创建默认数据表数组
        $defaultTables = array(
            $prefix . 'posts',
            $prefix . 'comments',
            $prefix . 'commentmeta',
            $prefix . 'links',
            $prefix . 'options',
            $prefix . 'postmeta',
            $prefix . 'terms',
            $prefix . 'termmeta',
            $prefix . 'term_relationships',
            $prefix . 'term_taxonomy',
            $prefix . 'usermeta',
            $prefix . 'users',
        );
        // 判断传入的数据表名称是否在默认数据表数组中
        return in_array($name, $defaultTables);
    }

    static function getTableUseType($name)
    {
        // 获取WordPress数据表前缀
        global $wpdb;
        $prefix = $wpdb->prefix;
        // 创建默认数据表数组
        $defaultTables = array(
            $prefix . 'posts' => '文章表',
            $prefix . 'comments' => '评论表',
            $prefix . 'commentmeta' => '评论额外信息',
            $prefix . 'links' => '链接',
            $prefix . 'options' => '配置项',
            $prefix . 'postmeta' => '文章额外信息',
            $prefix . 'terms' => '分类信息',
            $prefix . 'termmeta' => '分类额外信息',
            $prefix . 'term_relationships' => '文章、链接、分类关系信息',
            $prefix . 'term_taxonomy' => '目录、标签分类',
            $prefix . 'usermeta' => '用户额外信息',
            $prefix . 'users' => '用户表',
        );
        // 判断传入的数据表名称是否在默认数据表数组中
        if (isset($defaultTables[$name])) {
            return $defaultTables[$name];
        }
        return '';
    }

}